Skip to main content
GET
/
events
/
{product}
/
waitlist
/
status
Get Waitlist Status
curl --request GET \
  --url https://api.marzipan.co/v1/events/{product}/waitlist/status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.marzipan.co/v1/events/{product}/waitlist/status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.marzipan.co/v1/events/{product}/waitlist/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "onWaitlist": true,
  "status": "pending",
  "quantity": 2,
  "position": 4,
  "ahead": 3
}
{
"message": "Not found on waitlist"
}
{
"message": "The email field is required.",
"errors": {
"email": [
"The email field is required."
]
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your API token.

Path Parameters

product
string<uuid>
required

The unique identifier of the event product.

Query Parameters

email
string<email>
required

The email address to look up on the waitlist.

Response

The customer's waitlist status.

A customer's waitlist status for an event.

success
boolean
onWaitlist
boolean

Whether the customer is on the waitlist.

status
enum<string>

The entry status.

Available options:
pending,
promoted,
claimed,
expired,
cancelled
quantity
integer

The number of tickets requested.

position
integer

The waitlist position. Present for pending entries.

ahead
integer

The number of pending entries ahead. Present for pending entries.

expiresAt
string<date-time>

When the promoted spot expires. Present for promoted entries.

canClaim
boolean

Whether the promoted spot can currently be claimed. Present for promoted entries.